OffHeapBinarizedVectorValues (Lucene 10.5.1 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.lucene102, class: OffHeapBinarizedVectorValues

Package org.apache.lucene.backward_codecs.lucene102

# Class OffHeapBinarizedVectorValues

java.lang.Object
org.apache.lucene.index.KnnVectorValues
org.apache.lucene.index.ByteVectorValues
org.apache.lucene.backward_codecs.lucene102.OffHeapBinarizedVectorValues

public abstract class OffHeapBinarizedVectorValues extends ByteVectorValues
Binarized vector values loaded from off-heap

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.index.KnnVectorValues

  `KnnVectorValues.DocIndexIterator`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract org.apache.lucene.backward_codecs.lucene102.BinarizedByteVectorValues`
  `copy()`
  `int`
  `dimension()`
  `int`
  `discretizedDimensions()`
  `float[]`
  `getCentroid()`
  `float`
  `getCentroidDP()`
  `OptimizedScalarQuantizer.QuantizationResult`
  `getCorrectiveTerms(int targetOrd)`
  `OptimizedScalarQuantizer`
  `getQuantizer()`
  `int`
  `getVectorByteLength()`
  `int`
  `size()`
  `byte[]`
  `vectorValue(int targetOrd)`

  ### Methods inherited from class org.apache.lucene.index.ByteVectorValues

  `checkField, fromBytes, getEncoding, rescorer, scorer`

  ### Methods inherited from class org.apache.lucene.index.KnnVectorValues

  `createDenseIterator, createSparseIterator, fromDISI, getAcceptOrds, iterator, ordToDoc, prefetch`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### dimension

    public int dimension()
    Specified by:
      `dimension` in class `KnnVectorValues`

  - ### size

    public int size()
    Specified by:
      `size` in class `KnnVectorValues`

  - ### vectorValue

    public byte[] vectorValue(int targetOrd) throws IOException
    Specified by:
      `vectorValue` in class `ByteVectorValues`
    Throws:
      `IOException`

  - ### discretizedDimensions

    public int discretizedDimensions()

  - ### getCentroidDP

    public float getCentroidDP()

  - ### getCorrectiveTerms

    public OptimizedScalarQuantizer.QuantizationResult getCorrectiveTerms(int targetOrd) throws IOException
    Throws:
      `IOException`

  - ### getQuantizer

    public OptimizedScalarQuantizer getQuantizer()

  - ### getCentroid

    public float[] getCentroid()

  - ### getVectorByteLength

    public int getVectorByteLength()
    Overrides:
      `getVectorByteLength` in class `KnnVectorValues`

  - ### copy

    public abstract org.apache.lucene.backward_codecs.lucene102.BinarizedByteVectorValues copy() throws IOException
    Specified by:
      `copy` in class `ByteVectorValues`
    Throws:
      `IOException`